#include "OnryoVisibilityComponent.h"
#include "Net/UnrealNetwork.h"

void UOnryoVisibilityComponent::OnRep_IsKillerVisibleDuringFlicker()
{

}

void UOnryoVisibilityComponent::OnLocallyObservedChanged()
{

}

void UOnryoVisibilityComponent::OnKillerInSurvivorSightRangeChanged(const bool inRange)
{

}

void UOnryoVisibilityComponent::OnIntroCompleted()
{

}

void UOnryoVisibilityComponent::Multicast_OnManifestationStateChanged_Implementation(const bool isManifested, const bool isImmediateManifest)
{

}

float UOnryoVisibilityComponent::GetFlickerFadeTimeSeconds() const
{
	return 0.0f;
}

void UOnryoVisibilityComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UOnryoVisibilityComponent, _isKillerVisibleDuringFlicker);
}

UOnryoVisibilityComponent::UOnryoVisibilityComponent()
{
	this->_isKillerVisibleDuringFlicker = false;
	this->_isInIntroPhase = true;
	this->_isManifested = false;
	this->_isInManifestingTransition = false;
}
